#!/bin/bash

# File root
root="/run/media/sylvain/LIVE/getPackages"

# Arguments
if [[ $# -eq 0 || $# -gt 2 ]]
then
	echo "USAGE : bash 3_getURL.bash PACKAGENAME|updates [ARCH]"
	exit
fi
if [ $# -eq 1 ]
then
	packList=$1
	arch="x86_64"
fi
if [ $# -eq 2 ]
then
	packList=$1
	arch=$2
fi

# Updates / available
if [ $packList = "updates" ]
then
	echo "Getting URL to update installed packages ($arch) :"
else
	echo "Getting URL to install \"$packList\" ($arch) :"
	packList="available $1"
fi

# Extracting package names
echo -n "Expand target list ... "
packList=`yum -q --config="$root/yum/yum.conf" --disablerepo=* --enablerepo=cache.*.$arch list $packList | tail -n +2 | cut -d" " -f1`
packCount=`echo "$packList" | wc -w`
echo "$packCount package(s) found"

# Get list
echo -n "Expand dependencies ... "
yumdownloader -q --resolve --urls --config="$root/yum/yum.conf" --disablerepo=* --enablerepo=cache.*.$arch $packList > "$root/URL.txt"
packCount=`cat "$root/URL.txt" | wc -l`
echo "$packCount package(s) found"

# Replace local links by HTTP links
echo "Updating links ... "
sed -i "s#file://$root/#http://#g" URL.txt

